Skip to main content
GET
/
communications
/
quotes
/
{quote_id}
Get Quote
curl --request GET \
  --url https://external-api.kalshi.com/trade-api/v2/communications/quotes/{quote_id} \
  --header 'KALSHI-ACCESS-KEY: <api-key>' \
  --header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
  --header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'
import requests

url = "https://external-api.kalshi.com/trade-api/v2/communications/quotes/{quote_id}"

headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};

fetch('https://external-api.kalshi.com/trade-api/v2/communications/quotes/{quote_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "quote": {
    "id": "<string>",
    "rfq_id": "<string>",
    "creator_id": "<string>",
    "rfq_creator_id": "<string>",
    "market_ticker": "<string>",
    "contracts_fp": "10.00",
    "yes_bid_dollars": "0.5600",
    "no_bid_dollars": "0.5600",
    "created_ts": "2023-11-07T05:31:56Z",
    "updated_ts": "2023-11-07T05:31:56Z",
    "accepted_ts": "2023-11-07T05:31:56Z",
    "confirmed_ts": "2023-11-07T05:31:56Z",
    "executed_ts": "2023-11-07T05:31:56Z",
    "cancelled_ts": "2023-11-07T05:31:56Z",
    "rest_remainder": true,
    "post_only": true,
    "cancellation_reason": "<string>",
    "creator_user_id": "<string>",
    "rfq_creator_user_id": "<string>",
    "rfq_target_cost_dollars": "0.5600",
    "rfq_creator_order_id": "<string>",
    "creator_order_id": "<string>",
    "creator_subaccount": 123,
    "rfq_creator_subaccount": 123,
    "yes_contracts_fp": "10.00",
    "no_contracts_fp": "10.00"
  }
}
{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"details": "<string>",
"service": "<string>"
}
This endpoint is deprecated. Use GET /communications/rfqs/{rfq_id}/quotes/{quote_id} instead.
Rate limit: 2 tokens per request. See GET /trade-api/v2/account/endpoint_costs for current non-default endpoint costs.

Authorizations

KALSHI-ACCESS-KEY
string
header
required

Your API key ID

KALSHI-ACCESS-SIGNATURE
string
header
required

RSA-PSS signature of the request

KALSHI-ACCESS-TIMESTAMP
string
header
required

Request timestamp in milliseconds

Path Parameters

quote_id
string
required

Quote ID

Response

Quote retrieved successfully

quote
object
required

The details of the requested quote